<%@ page language="java" import="java.sql.*, java.util.*, javax.servlet.*" contentType="text/html;charset=euc-kr"%>

<%!
//----------------------------------------------------------

// Namo WebEditor dbWizard Script.
// Copyright 2001 Namo Interacive Inc. All Rights Reserved.
//
// 

//----------------------------------------------------------

String		WED_NULL_STR;
int			WED_NULL_INT;
Timestamp	WED_CUR_DATE;
int			WED_MAX_INT;
int			WED_MAX_PAGE;
%>

<%
WED_NULL_STR	= "";
WED_NULL_INT	= -1;
WED_CUR_DATE	= null;
WED_MAX_INT		= 32767;
WED_MAX_PAGE	= 10;
%>

<%!
//----------------------------------------------------------

class class_ret_from_wed_check_type_of_timestamp {
	public Boolean showdate;
	public Boolean showtime;

	class_ret_from_wed_check_type_of_timestamp()
	{
		showdate = Boolean.TRUE;
		showtime = Boolean.TRUE;
	};
};

//----------------------------------------------------------

class class_ret_from_wed_read_list_process {
	public ResultSet	record;
	public int			maxrows;
	public int			rows;
	
	class_ret_from_wed_read_list_process()
	{
		record = null;
		maxrows = 0;
		rows = 0;
	};

	class_ret_from_wed_read_list_process(ResultSet rs, int mr, int r)
	{
		record = rs;
		maxrows = mr;
		rows = r;
	};
};

//----------------------------------------------------------

// partial string replacement utility function

public String wed_str_replace(String OrgStr, String Source, String Target)
{
	String ResStr = null;
	
	if (OrgStr == null || Source == null || Target == null) {
		ResStr = null;
	} else if (OrgStr.indexOf(Source) == -1) {
		ResStr = OrgStr;
	} else {
		int IdxStartSrch	= 0;
		int IdxFoundPos		= OrgStr.indexOf(Source);
		int OrgLen			= OrgStr.length();
		int SrcLen			= Source.length();
		
		String	SubHead;
		String	SubTail;

		while (IdxFoundPos != -1) {
			SubHead = OrgStr.substring(IdxStartSrch, IdxFoundPos);

			if (ResStr == null) {
				ResStr = SubHead;
			} else {
				ResStr = ResStr.concat(SubHead);
			}
			ResStr = ResStr.concat(Target);
			
			IdxStartSrch = IdxFoundPos + SrcLen;
			IdxFoundPos = OrgStr.indexOf(Source, IdxStartSrch);
		}
		ResStr = ResStr.concat(OrgStr.substring(IdxStartSrch));
	}

	return ResStr;
}

//----------------------------------------------------------

// Timestamp type checker utility function

public class_ret_from_wed_check_type_of_timestamp wed_check_type_of_timestamp(Timestamp tstamp)
{
	Calendar value = wed_timestamp_to_calendar(tstamp);
	class_ret_from_wed_check_type_of_timestamp ret = new class_ret_from_wed_check_type_of_timestamp();

	Timestamp blanktstamp = new Timestamp(0, 0, -1, 0, 0, 0, 0);
	Calendar blankcal = wed_timestamp_to_calendar(blanktstamp);

	if (
		(blankcal.get(value.YEAR) == value.get(value.YEAR))
		&&
		(blankcal.get(value.MONTH) == value.get(value.MONTH))
		&&
		(blankcal.get(value.DATE) == value.get(value.DATE))
		) {
		
		ret.showdate = Boolean.FALSE;
	
	} else {
		ret.showdate = Boolean.TRUE;
	}
	
	if (
		(blankcal.get(value.HOUR_OF_DAY) == value.get(value.HOUR_OF_DAY))
		&&
		(blankcal.get(value.MINUTE) == value.get(value.MINUTE))
		) {
		
		ret.showtime = Boolean.FALSE;

	} else {
		ret.showtime = Boolean.TRUE;
	}
	
	return ret;
}

//----------------------------------------------------------

// Timestamp-to-Calendar conversion utility function

public Calendar wed_timestamp_to_calendar(Timestamp tstamp)
{
	Calendar	cal = Calendar.getInstance();

	if(tstamp != null) {
		java.util.Date	date = new java.util.Date(0);
		date.setTime(tstamp.getTime());
		cal.setTime(date);
	} else {
		cal = null;
	}
	
	return cal;
}

//----------------------------------------------------------

public void wed_input_int(JspWriter out, String name, int value, int maxlength, int size)
{
	if (name == null) name = "";

	try {
		out.print("<input type=\"text\"");
		if (name.length() != 0) {
		   out.print(" name=\"" + name + "\"");
		}
		if (value != WED_NULL_INT) {
		   out.print(" value=\"" + value + "\"");
		}
		if (maxlength != WED_NULL_INT) {
		   out.print(" maxlength=\"" + maxlength + "\"");
		}
		if (size != WED_NULL_INT) {
		   out.print(" size=\"" + size + "\"");
		}
		out.print(" onChange=\"wed_check_int(this)\">");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_str(JspWriter out, String name, String value, int maxlength, int size)
{
	if (name == null) name = "";
	if (value == null) value = "";

	try {
		out.print("<input type=\"text\"");
		if (name.length() != 0) {
		   out.print(" name=\"" + name + "\"");
		}
		if (value.length() != 0) {
		   out.print(" value=\"" + value + "\"");
		}
		if (maxlength != WED_NULL_INT) {
		   out.print(" maxlength=\"" + maxlength + "\"");
		}
		if (size != WED_NULL_INT) {
		   out.print(" size=\"" + size + "\"");
		}
		out.print(">");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_text(JspWriter out, String name, String value, int rows, int cols)
{
	if (name == null) name = "";
	if (value == null) value = "";

	try {
		out.print("<textarea");
		if (name.length() != 0) {
		   out.print(" name=\"" + name + "\"");
		}
		if (rows != WED_NULL_INT) {
		   out.print(" rows=\"" + rows + "\"");
		}
		if (cols != WED_NULL_INT) {
		   out.print(" cols=\"" + cols + "\"");
		}
		out.print(">");
		if (value.length() != 0) {
		   out.print(value);
		}
		out.print("</textarea>");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_hidden(JspWriter out, String name, String value)
{
	if (name == null) name = "";
	if (value == null) value = "";

	try {
		out.print("<input type=\"hidden\"");
		if (name.length() != 0) {
		   out.print(" name=\"" + name + "\"");
		}
		if (value.length() != 0) {
		   out.print(" value=\"" + value + "\"");
		}
		out.print(">");

		String	w_value = new String("");

		//if (value.length() != 0) {
		//	w_value	= wed_str_replace(value, "\r\n", "<br>");
		//}
		//out.print(w_value);
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_hidden(JspWriter out, String name, int value)
{
	if (name == null) name = "";

	try {
		out.print("<input type=\"hidden\"");
		if (name.length() != 0) {
		   out.print(" name=\"" + name + "\"");
		}
		out.print(" value=" + value);
		out.print(">");

	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_combo(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, String name, int valuefield, int stringfield, int selectvalue)
{
	if (name == null) name = "";

	Connection			con;
	PreparedStatement	prepstmt;
	ResultSet			rs;
	
	int					value;
	String				str;

	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rs			= prepstmt.executeQuery();

			try {
				out.print("<select name=\"" + name + "\">");
				
				rs.beforeFirst();
	
				while(rs.next()) {
					value = rs.getInt(valuefield);
					str   = rs.getString(stringfield);
					if (value == selectvalue) {
						out.print("<option selected value=\"" + value + "\"> " + str);
					} else {
						out.print("<option value=\"" + value + "\"> " + str);
					}
				}
				out.print("</select>");
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
	
			rs.close();
			con.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}

	rs			= null;
	prepstmt	= null;
	con			= null;
}

//----------------------------------------------------------

public void wed_input_combo(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, String name, int valuefield, int stringfield, String selectvalue)
{
	if (name == null) name = "";

	Connection			con, conDup;
	PreparedStatement	prepstmt, prepstmtDup;
	ResultSet			rs, rsDup;
	
	String				value;
	String				str;

	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rs			= prepstmt.executeQuery();

			conDup		= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmtDup	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rsDup		= prepstmtDup.executeQuery();

			try {
				out.print("<select name=\"" + name + "\">");

				rs.beforeFirst();
				rsDup.beforeFirst();

				while(rs.next()) {
				 	rsDup.next();
				 	
					value = rs.getString(valuefield);
					str   = rsDup.getString(stringfield);

					if (value.compareTo(selectvalue) == 0) {
						out.print("<option selected value=\"" + value + "\">" + str);
					} else {
						out.print("<option value=\"" + value + "\">" + str);
					}
				}

				out.print("</select>");
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
	
			rs.close();
			rsDup.close();
			con.close();
			conDup.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}

	rs			= null;
	rsDup		= null;
	prepstmt	= null;
	prepstmtDup	= null;
	con			= null;
	conDup		= null;
}

//----------------------------------------------------------

public void wed_input_radio(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, String name, int valuefield, int stringfield, int selectvalue)
{
	if (name == null) name = "";

	Connection			con;
	PreparedStatement	prepstmt;
	ResultSet			rs;
	
	int					value;
	String				str;

	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rs			= prepstmt.executeQuery();
	
			try {	
				out.print("<p>");

				rs.beforeFirst();
	
				while (rs.next()) {
					value = rs.getInt(valuefield);
					str   = rs.getString(stringfield);
	
					out.print("<br>");
	
					if (value == selectvalue) {
						out.print("<input type=\"radio\" name=\"" + name + "\" value=\"" + value + "\" checked> "+ str);
					} else {
						out.print("<input type=\"radio\" name=\"" + name + "\" value=\"" + value + "\"> " + str);
					}
				}
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
	
			rs.close();
			con.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}
	
	rs			= null;
	prepstmt	= null;
	con			= null;
}

//----------------------------------------------------------

public void wed_input_radio(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, String name, int valuefield, int stringfield, String selectvalue)
{
	if (name == null) name = "";

	Connection			con, conDup;
	PreparedStatement	prepstmt, prepstmtDup;
	ResultSet			rs, rsDup;
	
	String				value;
	String				str;

	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rs			= prepstmt.executeQuery();
	
			conDup		= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmtDup	= conDup.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rsDup		= prepstmtDup.executeQuery();

			try {	
				out.print("<p>");

				rs.beforeFirst();
				rsDup.beforeFirst();
	
				while (rs.next()) {
					rsDup.next();
					
					value = rs.getString(valuefield);
					str   = rs.getString(stringfield);
	
					out.print("<br>");
	
					if (value.compareTo(selectvalue) == 0) {
						out.print("<input type=\"radio\" name=\"" + name + "\" value=\"" + value + "\" checked> "+ str);
					} else {
						out.print("<input type=\"radio\" name=\"" + name + "\" value=\"" + value + "\"> " + str);
					}
				}
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
	
			rs.close();
			rsDup.close();
			con.close();
			conDup.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}
	
	rs			= null;
	rsDup		= null;
	prepstmt	= null;
	prepstmtDup	= null;
	con			= null;
	conDup		= null;
}

//----------------------------------------------------------

public void write_option(JspWriter out, int startval, int endval, int selectval)
{
	int i;

	try {
		for (i = startval; i <= endval; i++) {
			if (i == selectval) {
				if (i < 10) {
					out.print("<option value=\"" + i + "\" selected>0" + i);
				} else {
					out.print("<option value=\"" + i + "\" selected>" + i);
				}
			} else {
				if (i < 10) {
					out.print("<option value=\"" +i + "\">0" + i);
				} else {
					out.print("<option value=\"" +i + "\">" + i);
				}
			}
		}
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_input_date(JspWriter out, String name, Timestamp tstamp, String intfmt)
{
	if (name == null) name = "";
	if (tstamp == null) tstamp = new Timestamp(0);
	if (intfmt == null) intfmt = "";

	int			yy, mm, dd, hh, mi;
	int			i, j, tmp, prevpos;
	int[][]		locidx	= new int[3][5];
	String[]	fmtstr	= new String[6];

	Calendar	value;
	Calendar	cal	= Calendar.getInstance();
	
	if (tstamp == WED_CUR_DATE) {
		value = cal;
	} else {
		value = wed_timestamp_to_calendar(tstamp);
	}
	
	yy = value.get(Calendar.YEAR);
	mm = value.get(Calendar.MONTH);
	dd = value.get(Calendar.DATE);
	hh = value.get(Calendar.HOUR_OF_DAY);
	mi = value.get(Calendar.MINUTE);

	if (intfmt.length() == 0) {
		intfmt = "yymmdd hhmi";
	}

	locidx[0][0] = intfmt.indexOf("yy");
	locidx[0][1] = intfmt.indexOf("mm");
	locidx[0][2] = intfmt.indexOf("dd");
	locidx[0][3] = intfmt.indexOf("hh");
	locidx[0][4] = intfmt.indexOf("mi");

	for (i = 0; i < 5; i++) {
		if (locidx[0][i] == -1) {
			locidx[0][i] = WED_MAX_INT;
		}
		locidx[1][i] = i + 1;
		locidx[2][i] = 0;
	}

	for (i = 0; i < 5; i++) {
		for (j = (i + 1); j < 5; j++) {
			if (locidx[0][i] > locidx[0][j]) {
				tmp = locidx[0][i];
				locidx[0][i] = locidx[0][j];
				locidx[0][j] = tmp;

				tmp = locidx[1][i];
				locidx[1][i] = locidx[1][j];
				locidx[1][j] = tmp;
			}
		}
	}

	for (i = 0; i < 5; i++) {
		for (j = 0; j < 5; j++) {
			if (locidx[1][j] == (i + 1)) {
				locidx[2][i] = j + 1;
			}
		}
	}

	for (i = 0; i < 5; i++) {
		if (locidx[0][locidx[2][i] - 1] == WED_MAX_INT) {
			locidx[2][i] = WED_NULL_INT;
		}
	}

	prevpos = 0;
	for (i = 0; i < 5; i++) {
		if (locidx[0][i] != -1) {
			if (prevpos < locidx[0][i]) {
				fmtstr[i] = intfmt.substring(prevpos, locidx[0][i]);
				prevpos = locidx[0][i];
			}
			prevpos = prevpos + 2;
		}
	}

	if (prevpos <= intfmt.length()) {
		fmtstr[5] = intfmt.substring(prevpos, intfmt.length());
	}

	try {
		// ݵ hidden  . (javascript index mark )

		out.print("<input type=\"hidden\" name=\"" + name + "\" value=\"" + yy + "-" + mm + "-" + dd + " " + hh + ":" + mi + "\">");

		for (i = 0; i < 5; i++) {
			if (locidx[0][i] != WED_MAX_INT) {
				switch (locidx[1][i]) {
					case 1:
						out.print("<select value=\"" + yy + "\" onChange=\"wed_check_date(this, this.form." + name + ", " + locidx[2][0] + ", " + locidx[2][1] + ", " + locidx[2][2] + ", " + locidx[2][3] + ", " + locidx[2][4] + ")\">");
						//out.print("<option value=\"1\">");
						write_option(out, 1900, 2020, yy);
						out.print("</select>");
						break;
					case 2:
						out.print("<select value=\"" + mm + "\" onChange=\"wed_check_date(this, this.form." + name + ", " + locidx[2][0] + ", " + locidx[2][1] + ", " + locidx[2][2] + ", " + locidx[2][3] + ", " + locidx[2][4] + ")\">");
						//out.print("<option value=\"1\">");
						write_option(out, 1, 12, mm);
						out.print("</select>");
						break;
					case 3:
						out.print("<select value=\"" + dd + "\" onChange=\"wed_check_date(this, this.form." + name + ", " + locidx[2][0] + ", " + locidx[2][1] + ", " + locidx[2][2] + ", " + locidx[2][3] + ", " + locidx[2][4] + ")\">");
						//out.print("<option value=\"1\">");
						if (mm == 2) {
							if ((yy % 400 == 0) || ((yy % 4 == 0) && (yy % 100 != 0))) {
								write_option(out, 1, 29, dd);
							} else {
								write_option(out, 1, 28, dd);
							}
						} else {
							if (mm == 4 || mm == 6 || mm == 9 || mm == 11) {
								write_option(out, 1, 30, dd);
							} else {
								write_option(out, 1, 31, dd);
							}
						}
						out.print("</select>");
						break;
					case 4:
						out.print("<select value=\"" + hh + "\" onChange=\"wed_check_date(this, this.form." + name + ", " + locidx[2][0] + ", " + locidx[2][1] + ", " + locidx[2][2] + ", " + locidx[2][3] + ", " + locidx[2][4] + ")\">");
						//out.print("<option value=\"1\">");
						write_option(out, 0, 23, hh);
						out.print("</select>");
						break;
					case 5:
						out.print("<select value=\"" + mi + "\" onChange=\"wed_check_date(this, this.form." + name + ", " + locidx[2][0] + ", " + locidx[2][1] + ", " + locidx[2][2] + ", " + locidx[2][3] + ", " + locidx[2][4] + ")\">");
						//out.print("<option value=\"1\">");
						write_option(out, 0, 59, mi);
						out.print("</select>");
						break;
				}
				out.print(fmtstr[i+1]);
			}
		}
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_list_move_page(JspWriter out, HttpServletRequest request, int disppages, int disprows, int startrow, int maxrows, String params)
{
	String	url;
	int		page, curpage, startpage, endpage, maxpages;

	if (params.length() > 0) {
		params = "&" + params;
	}

	url = request.getRequestURI();

	curpage   = startrow / disprows;
	maxpages  = (maxrows + disprows - 1) / disprows;

	if (maxpages < disppages) {
		startpage = 0;
		endpage   = maxpages - 1;
	} else {
		endpage   = curpage + (disppages / 2);
		startpage = endpage - disppages + 1;

		if (startpage < 0) {
			endpage   = endpage - startpage;
			startpage = 0;
		}
		if (maxpages <= endpage) {
			startpage = startpage - (endpage - maxpages + 1);
			endpage   = maxpages - 1;
		}
	}

	try {
		if (0 < curpage) {
			out.println("[<a href=\"" + url + "?startrow=" + (curpage-1) * disprows + "&maxrows=" + maxrows + params + "\"><<</a>]");
		}
		out.println("[");
		if (0 < startpage) {
			out.println("<a href=\"" + url + "?startrow=0&maxrows=" + maxrows + params + "\">1</a>");
		}
		if (1 < startpage) {
			out.println("...");
		}
		for (page = startpage; page <= endpage; page++) {
			if (page == curpage) {
				out.println("<b>" + (page + 1) + "</b> ");
			} else {
				out.println("<a href=\"" + url + "?startrow=" + (page * disprows) + "&maxrows=" + maxrows + params + "\">" + (page + 1) + "</a>");
			}
		}
		if (endpage < (maxpages-2)) {
			out.println("...");
		}
		if (endpage < (maxpages-1)) {
			out.println("<a href=\"" + url + "?startrow=" + ((maxpages - 1) * disprows) + "&maxrows=" + maxrows + params + "\">" + maxpages + "</a>");
		}
		out.println("]");
		if (curpage < (maxpages-1)) {
			out.println("[<a href=\"" + url + "?startrow=" + (curpage+1) * disprows + "&maxrows=" + maxrows + params + "\">>></a>]");
		}
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public Boolean wed_db_process(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr)
{
	Connection			con;
	PreparedStatement	prepstmt;
	int					NumUpdatedRecords;

	try {
		Class.forName(DrvStr);

		try {	
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr);

			NumUpdatedRecords
						= prepstmt.executeUpdate();
	
			con.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());



			try {
				out.println(e.getMessage() + "<br><br>");
			} catch(java.io.IOException e1) {
				System.err.print("IOException: ");
				System.err.println(e1.getMessage());
			}			



			return Boolean.FALSE;
		}

	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
	System.err.println(e.getMessage());
	}

	prepstmt	= null;
	con			= null;
  
	return Boolean.TRUE;
}

public ResultSet wed_read_process(String DrvStr, String ServerStr, String userid, String passwd, String sqlstr)
{
	Connection			con;
	PreparedStatement	prepstmt;
	ResultSet			record = null;
	
	try {
		Class.forName(DrvStr);

		try {	
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr);
			record		= prepstmt.executeQuery();
//			con.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
		
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}

	prepstmt	= null;
	con			= null;
	
	return record;
}

//----------------------------------------------------------

public class_ret_from_wed_read_list_process wed_read_list_process(String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, int disprows, int startrow, class_ret_from_wed_read_list_process ret)
{
	Connection			con;
	PreparedStatement	prepstmt;
	
	try {
		Class.forName(DrvStr);

		try {		
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			ret.record	= prepstmt.executeQuery();
	
			int i;
			
			if (ret.maxrows == 0) {
				while(ret.record.next()) ret.maxrows++;
			}
	
			ret.record.beforeFirst();

			if (0 < startrow) {
				for (i=0; i < startrow; i++) {
					ret.record.next();
				}
			}
	
			ret.rows	= 0;
			for (i=0; i<disprows && ret.record.next(); i++) {
				ret.rows++;
			}

			ret.record.beforeFirst();

			if (0 < startrow) {
				for (i=0; i < startrow; i++) {
					ret.record.next();
				}
			}

//			ret.record.close();
//			con.close();
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}

	prepstmt	= null;
	con			= null;
	
	return ret;
}

//----------------------------------------------------------

public void wed_write(JspWriter out, String value)
{
	if (value == null) value = "";

	String	w_value = new String("");

	int length = value.length();

	if (length != 0) {
    	int pos1, pos2;
    	String link_str, text_str;
    	
    	pos1 = value.indexOf("#");

        if (pos1 != -1) {
        	pos2 = value.indexOf("#", pos1 + 1);
        	
        	if (length == (pos2 + 1)) {
        		link_str = value.substring(pos1 + 1, pos2);
        		if (pos1 == 0)
        			text_str = value.substring(pos1 + 1, pos2);
        		else
        			text_str = value.substring(0, pos1);
        		value = "<a href=\"" + link_str + "\"" + ">" + text_str + "</a>";
        	}
        }

		w_value = wed_str_replace(value, "\r\n", "<br>");
	}
	else {
    	w_value = "&nbsp;";
	}
	try {
		out.print(w_value);
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write(JspWriter out, int value)
{
	try {
		out.print(value);
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write(JspWriter out, Timestamp tstamp)
{
	if (tstamp == null) tstamp = new Timestamp(0);

	class_ret_from_wed_check_type_of_timestamp TypeOfTstamp;
	
	TypeOfTstamp = wed_check_type_of_timestamp(tstamp);

	Calendar value = wed_timestamp_to_calendar(tstamp);

	try {
		String year = String.valueOf(value.get(value.YEAR));
		String month = String.valueOf(value.get(value.MONTH) + 1);
		String date = String.valueOf(value.get(value.DATE));
		String hour = String.valueOf(value.get(value.HOUR_OF_DAY));
		String minute = String.valueOf(value.get(value.MINUTE));		
		
		while (year.length() < 4) {
			year = "0" + year;
		}
		while (month.length() < 2) {
			month = "0" + month;
		}
		while (date.length() < 2) {
			date = "0" + date;
		}
		while (hour.length() < 2) {
			hour = "0" + hour;
		}
		while (minute.length() < 2) {
			minute = "0" + minute;
		}


		if (!TypeOfTstamp.showdate.booleanValue() && !TypeOfTstamp.showtime.booleanValue()) {
			out.print("Ÿӽ ߸Ǿϴ.");
		} else if (TypeOfTstamp.showdate.booleanValue() && TypeOfTstamp.showtime.booleanValue()) {
			out.print(year + "-" + month + "-" + date + " " + hour + ":" + minute);
		} else if (TypeOfTstamp.showdate.booleanValue()) {
			out.print(year + "-" + month + "-" + date);
		} else if (TypeOfTstamp.showtime.booleanValue()) {
			out.print(hour + ":" + minute);
		}
		
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write_link(JspWriter out, String link, String argname, int argvalue, String value)
{
	if (link == null) link = "";
	if (argname == null) argname = "";
	if (value == null) value = "";

	try {
		if (argname!="") {
			out.print("<a href=\"" + link + "?" + argname + "=" + argvalue + "\">");
		} else {
			out.print("<a href=\"" + link + "\">");
		}
			
		out.print(value);
		out.print("</a>");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write_link(JspWriter out, String link, String argname, String argvalue, String value)
{
	if (link == null) link = "";
	if (argname == null) argname = "";
	if (argvalue == null) argvalue = "";
	if (value == null) value = "";

	try {
		if ((argname!="") && (argvalue!="")) {
			out.print("<a href=\"" + link + "?" + argname + "=" + argvalue + "\">");
		} else {
			out.print("<a href=\"" + link + "\">");
		}
			
		out.print(value);
		out.print("</a>");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write_link(JspWriter out, String link, String argname, int argvalue, int value)
{
	if (link == null) link = "";
	if (argname == null) argname = "";

	try {
		if (argname!="") {
			out.print("<a href=\"" + link + "?" + argname + "=" + argvalue + "\">");
		} else {
			out.print("<a href=\"" + link + "\">");
		}
			
		out.print(value);
		out.print("</a>");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_write_link(JspWriter out, String link, String argname, String argvalue, int value)
{
	if (link == null) link = "";
	if (argname == null) argname = "";
	if (argvalue == null) argvalue = "";

	try {
		if ((argname!="") && (argvalue!="")) {
			out.print("<a href=\"" + link + "?" + argname + "=" + argvalue + "\">");
		} else {
			out.print("<a href=\"" + link + "\">");
		}
			
		out.print(value);
		out.print("</a>");
	} catch(java.io.IOException e) {
		System.err.print("IOException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public void wed_chart_process1(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, int legend, int xcol, int value_field, String chart_style, String img_url, String img_option)
{
	Connection			con;
	PreparedStatement	prepstmt;
	ResultSet			rs;
	
	int					i, j;

	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr);
			rs			= prepstmt.executeQuery();
	
			try {
				out.print("<img src=\"" + img_url + "?");
	
//				rs.beforeFirst();
				for (i = 0; i < legend; i++) {
					out.print((i + 1) + "d=,{");
					for (j = 0; j < xcol; j++) {
						if (rs.next()) {
							out.print(rs.getInt(value_field));
						}
						out.print(",");
					}
					out.print("},&");
				}
				out.print(chart_style + "\" " + img_option + ">");
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

public int find_str(String[] data, String str)
{
	int	i, items;
	items = data.length;

	for (i = 0; i < items; i++) {
		if (data[i] == null || str == null) {
			return -1;
		}
		if (data[i].compareTo(str) == 0) {
			return i;
		}
	}

	return -1;
}

public void wed_chart_process2(JspWriter out, String DrvStr, String ServerStr, String userid, String passwd, String sqlstr, int legend_field, int xcol_field, int value_field, String chart_style, String img_url, String img_option)
{
	Connection			con, conDup;
	PreparedStatement	prepstmt, prepstmtDup;
	ResultSet			rs, rsDup;
	
	try {
		Class.forName(DrvStr);

		try {
			con			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmt	= con.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rs			= prepstmt.executeQuery();

			conDup			= DriverManager.getConnection(ServerStr, userid, passwd);
			prepstmtDup	= conDup.prepareStatement(sqlstr, ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
			rsDup			= prepstmtDup.executeQuery();

			int num_records;
	
			num_records	= 0;
			
			rs.beforeFirst();

			while(rs.next()) {
				num_records++;
			}

			int			legend_count, xcol_count;
			int			legend, xcol;
			String[]	xcol_data	= new String[num_records];
			String[]	legend_data	= new String[num_records];
	
			int i, j;
			
			legend_count	= 0;
			xcol_count		= 0;

			String legend_str, xcol_str;
	
			rs.beforeFirst();

			for(i=0; i<num_records; i++) {
				rs.next();
			
				legend_str = rs.getString(legend_field);
				legend = find_str(legend_data, legend_str);
				if (legend == -1) {
					legend_data[legend_count] = legend_str;
					legend_count++;
				}

				xcol_str = rs.getString(xcol_field);
				xcol = find_str(xcol_data, xcol_str);
				if (xcol == -1) {
					
					xcol_data[xcol_count] = xcol_str;
					xcol_count++;
				}
			}
	
			double[][]			value_data = new double[legend_count][xcol_count];
	
			rs.beforeFirst();
			rsDup.beforeFirst();

			for(i=0; i<num_records; i++) {
				rs.next();
				rsDup.next();

				legend_str = rsDup.getString(legend_field);
				legend	= find_str(legend_data, legend_str);
				xcol_str = rsDup.getString(xcol_field);
				xcol	= find_str(xcol_data, xcol_str);
				value_data[legend][xcol] = rs.getDouble(value_field);
			}

			try {
				out.print("<img src=\"" + img_url + "?");
				out.print("xd=");
				
				for (i = 0; i < xcol_count; i++) {
					out.print(xcol_data[i] + ",");
				}
				out.print("&");
				for (i = 0; i < legend_count; i++) {
					out.print((i+1) + "d=" + legend_data[i] + ",{");
					for (j = 0; j < xcol_count; j++)
					{
						if (value_data[i][j] != 0)
						{
							out.print(value_data[i][j] + ",");
						}
						else
						{
							out.print(",");
						}
					}
					out.print("},&");
				}
				out.print(chart_style + "\" " + img_option + ">");
			} catch(java.io.IOException e) {
				System.err.print("IOException: ");
				System.err.println(e.getMessage());
			}
		} catch(java.sql.SQLException e) {
			System.err.print("SQLException: ");
			System.err.println(e.getMessage());
		}
	
	} catch(java.lang.ClassNotFoundException e) {
		System.err.print("ClassNotFoundException: ");
		System.err.println(e.getMessage());
	}
}

//----------------------------------------------------------

%>

<SCRIPT LANGUAGE="JavaScript">
<!--
function wed_check_int(e)
{
}

function wed_check_date(e, h, yy_idx, mm_idx, dd_idx, hh_idx, mi_idx)
{
	var base_idx, yy, mm, dd, hh, mi, i, days, new_option

	for (base_idx = 0; base_idx < e.form.length; base_idx++)
		if (e.form.elements[base_idx] == h) break
	if (e.form.length <= base_idx) return 0

	if (yy_idx != -1) yy = e.form.elements[base_idx + yy_idx].options[e.form.elements[base_idx + yy_idx].selectedIndex].value
	if (mm_idx != -1) mm = e.form.elements[base_idx + mm_idx].options[e.form.elements[base_idx + mm_idx].selectedIndex].value
	if (dd_idx != -1) dd = e.form.elements[base_idx + dd_idx].options[e.form.elements[base_idx + dd_idx].selectedIndex].value
	if (hh_idx != -1) hh = e.form.elements[base_idx + hh_idx].options[e.form.elements[base_idx + hh_idx].selectedIndex].value
	if (mi_idx != -1) mi = e.form.elements[base_idx + mi_idx].options[e.form.elements[base_idx + mi_idx].selectedIndex].value

	if (dd_idx != -1 && mm_idx != -1 && yy_idx != -1) {
		if (mm == 2) {
			if ((yy % 400 == 0) || ((yy % 4 == 0) && (yy % 100 != 0))) {
				days = 29
			} else {
				days = 28
			}
		} else {
			if (mm == 4 || mm == 6 || mm == 9 || mm == 11) {
				days = 30
			} else {
				days = 31
			}
		}
		if (days != e.form.elements[base_idx + dd_idx].length) {
			e.form.elements[base_idx + dd_idx].length = 0
			for (i = 0; i < days; i++) {
				new_option = new Option(i + 1, i + 1)
				e.form.elements[base_idx + dd_idx].options[i] = new_option
			}
			e.form.elements[base_idx + dd_idx].selectedIndex = dd - 1
		}
	}

	h.value = ''

	if (yy_idx != -1) h.value = yy
	if (mm_idx != -1) h.value = h.value + '-' + mm
	if (dd_idx != -1) h.value = h.value + '-' + dd
	if (hh_idx != -1) h.value = h.value + ' ' + hh
	if (mi_idx != -1) h.value = h.value + ':' + mi

	return 1
}

//-->
</SCRIPT>
